package com.tzy.common.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GroupTeamDTO implements Serializable {

	private String playerName;
	/**队伍,球员,卡种name*/
	private String team;
	/**简称*/
	private String simpleTeamName;
	/**简称备注*/
	private String remark;
	private String znTeam;
	/**区域*/
	private String conference;
	private BigDecimal price;
	/**队伍总份数*/
	private Integer copies;
	/**售出份数*/
	private Integer soldCopies;
	/**队伍id*/
	private Integer teamId;

	public Integer getSoldCopies() {
		if (soldCopies != null && soldCopies > copies) {
			return copies;
		}
		return soldCopies;
	}
}